Issue 61866 - [metabug] Unfinished Mac OS X issues
Summary: [metabug] Unfinished Mac OS X issues
Status: CLOSED NOT_AN_OOO_ISSUE
Alias: None
Product: porting
Classification: Code
Component: MacOSX (show other issues)
Version: 680
Hardware: Mac Mac OS X, all
: P3 Trivial (vote)
Target Milestone: OOo 2.x
Assignee: ericb
QA Contact: issues@porting
URL: http://wiki.services.openoffice.org/w...
Keywords:
Depends on: 22516 24302 24602 33660 48423 59389 63978 11004 16337 23283 55437 67502 67539 69143 71393
Blocks:
  Show dependency tree
 
Reported: 2006-02-09 19:28 UTC by moxfox
Modified: 2009-05-11 05:54 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
A quick fix to add support for .ttf fonts that are located in Mac OS X system (951 bytes, patch)
2006-02-23 16:42 UTC, moxfox
no flags Details | Diff
Fix issues with startup script (soffice) on Mac OS X (1.02 KB, patch)
2006-02-23 16:43 UTC, moxfox
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description moxfox 2006-02-09 19:28:50 UTC
This is a meta bug for tracking all the issues that need to be fixed in OOo 2.x
or later, but are not fixed yet.

Feel free to add new bugs as a dependency. Bugs that are fixed and not reopened
for at least two weeks, should be removed from depending this bug.
Comment 1 moxfox 2006-02-09 19:34:21 UTC
Added Dan Williams' bugs
Comment 2 moxfox 2006-02-23 16:42:10 UTC
Created attachment 34412 [details]
A quick fix to add support for .ttf fonts that are located in Mac OS X system
Comment 3 moxfox 2006-02-23 16:43:41 UTC
Created attachment 34413 [details]
Fix issues with startup script (soffice) on Mac OS X
Comment 4 pavel 2006-02-24 08:19:01 UTC
mox: can you attach your proposed changes to particular issues and not to this
meta-bug?

I'll see what we can do with them.
Comment 5 tino.rachui 2006-04-26 07:05:16 UTC
adding myself to cc
Comment 6 eric.bachard 2006-05-28 18:04:32 UTC
set target
Comment 7 moxfox 2006-07-13 16:02:59 UTC
Moved some of the fixed bugs to issue 67331
Comment 8 jjmckenzie 2007-01-08 04:54:40 UTC
Added 63978 as testtool will change this month and if no solution is found for
the problems with this program on the Mac Intel, no further releases will be
possible for this platform for OpenOffice.org.

James McKenzie
Comment 9 pavel 2007-01-08 05:19:49 UTC
"no further releases will be possible for this platform for OpenOffice.org." is nonsense.

Keep calm...
Comment 10 jjmckenzie 2007-01-08 14:21:16 UTC
@pjanik:

I for one am not going to take the two weeks it will take to manually go through
the tests that testtool runs for a sanity check.  Testtool makes testing much
easier when I can start it and then go to sleep or do some other activity and
let it run.  Also, automated testing is repeatable.  Repairing this program
should be a high priority.  The Aqua build may depend on its availability.

James McKenzie
Comment 11 pavel 2007-01-08 14:23:51 UTC
jjmckenzie: what about running testool on other platform and connect to macintel?
...
Comment 12 moxfox 2007-05-24 20:16:18 UTC
.
Comment 13 moxfox 2007-05-24 20:16:55 UTC
.
Comment 14 ryosha 2007-08-07 08:32:06 UTC
I have installed OpenOffice on Mac iBook (os x 10.4)
I can't type Hebrew letters. 
I have followed all installation instructions and set the Hebrew Language as CTL.
I choose Hebrew in my computer (small flag on the upper right side of the screen).
When I try to type Hebrew letters I am getting Squares.
I'll appreciate any help on this issue.
Refael Yosha
e-mail: refaelyosha1@mac.com
Comment 15 jjmckenzie 2009-05-11 05:54:37 UTC
Closing Issue.  Work on 2.x line for MacOSX is completed.  Please attempt to use
3.x Aqua version.